# task_group_status

[scheduler.task_group_status]

A `task_group_status` type represents the status of a `task_group`.

    namespace oneapi {
    namespace tbb {
        enum task_group_status {
            not_complete,
            complete,
            canceled
        };
    } // namespace tbb
    } // namespace oneapi

## Member constants

not_complete

  Not cancelled and not all tasks in a group have completed.

complete

  Not cancelled and all tasks in a group have completed.

canceled

  Task group received cancellation request.